# Custom Form for Indexed Search

{% code lineNumbers="true" %}

```html
<f:form class="main-search" pageUid="14" method="post" id="tx_indexedsearch" noCacheHash="true" absolute="0" action="search" extensionName="IndexedSearch" pluginName="pi2" controller="Search">
    <div class="hidden tx-indexedsearch-hidden-fields">
        <input name="tx_indexedsearch_pi2[search][_sections]" value="0" type="hidden">
        <input id="tx_indexedsearch_freeIndexUid" name="tx_indexedsearch_pi2[search][_freeIndexUid]" value="_" type="hidden">
        <input id="tx_indexedsearch_pointer" name="tx_indexedsearch_pi2[search][pointer]" value="0" type="hidden">
        <input name="tx_indexedsearch_pi2[search][ext]" value="" type="hidden">
        <input name="tx_indexedsearch_pi2[search][searchType]" value="1" type="hidden">
        <input name="tx_indexedsearch_pi2[search][defaultOperand]" value="0" type="hidden">
        <input name="tx_indexedsearch_pi2[search][mediaType]" value="-1" type="hidden">
        <input name="tx_indexedsearch_pi2[search][sortOrder]" value="rank_flag" type="hidden">
        <input name="tx_indexedsearch_pi2[search][group]" value="" type="hidden">
        <input name="tx_indexedsearch_pi2[search][languageUid]" value="-1" type="hidden">
        <input name="tx_indexedsearch_pi2[search][desc]" value="" type="hidden">
        <input name="tx_indexedsearch_pi2[search][numberOfResults]" value="10" type="hidden">
        <input name="tx_indexedsearch_pi2[search][extendedSearch]" value="" type="hidden">
    </div>
    <div class="input-row">
        <div class="form-group tx-indexedsearch-form">
            <f:form.textfield name="search[sword]" value="" id="tx-indexedsearch-searchbox-sword" class="form-control tx-indexedsearch-searchbox-sword" placeholder="Webseite durchsuchen..." />
        </div><!-- /.form-group -->
        <div class="form-group tx-indexedsearch-search-submit">
            <f:form.button type="submit" class="btn btn-default tx-indexedsearch-searchbox-button" name="search[submitButton]" value="" id="tx-indexedsearch-searchbox-button-submit">
                <i class="fa fa-search"></i>
            </f:form.button>
        </div>
    </div>
</f:form>
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.jseidl.at/typo3/custom-form-for-indexed-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
